Package org.eclipse.m2m.atl.core.ant.tasks.nested

## Class Library

- java.lang.Object
- - org.eclipse.m2m.atl.core.ant.tasks.nested.Library

    public class Library
    extends java.lang.Object

Library nested element.

### Field Summary

Fields
`protected java.lang.String` `name`
`protected java.io.File` `path`

### Constructor Summary

Constructors
`Library()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.io.File` `getPath()`
`void` `setName​(java.lang.String name)`
`void` `setPath​(java.io.File path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected java.lang.String name

#### path

    protected java.io.File path

### Constructor Detail

#### Library

    public Library()

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### getPath

    public java.io.File getPath()

#### setPath

    public void setPath​(java.io.File path)